=== debian/changelog ===
ros-indigo-pheeno-ros-sim (0.1.4-0trusty) trusty; urgency=high

  * Added more build requirements.
  * Contributors: zmk5

 -- Zahi Kakish <zkakish@gmail.com>  Fri, 29 Sep 2017 07:00:00 -0000

ros-indigo-pheeno-ros-sim (0.1.3-0trusty) trusty; urgency=high

  * Removed cv_bridge requirement.
  * Contributors: zmk5

 -- Zahi Kakish <zkakish@gmail.com>  Fri, 29 Sep 2017 07:00:00 -0000

ros-indigo-pheeno-ros-sim (0.1.2-0trusty) trusty; urgency=high

  * Fixed buildfarm issue.
  * Contributors: zmk5

 -- Zahi Kakish <zkakish@gmail.com>  Fri, 29 Sep 2017 07:00:00 -0000

ros-indigo-pheeno-ros-sim (0.1.1-0trusty) trusty; urgency=high

  * Initial release
  * Contributors: zmk5

 -- Zahi Kakish <zkakish@gmail.com>  Thu, 28 Sep 2017 07:00:00 -0000

ros-indigo-pheeno-ros-sim (0.1.0-0trusty) trusty; urgency=high

  * Preparing intial release
  * Contributors: zmk5

 -- Zahi Kakish <zkakish@gmail.com>  Thu, 28 Sep 2017 07:00:00 -0000
