=== debian/control ===
Source: ros-indigo-pheeno-ros-sim
Section: misc
Priority: extra
Maintainer: Zahi Kakish <zkakish@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-gazebo-msgs, ros-indigo-gazebo-plugins, ros-indigo-gazebo-ros, ros-indigo-gazebo-ros-control, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rviz, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-urdf, ros-indigo-xacro
Homepage: https://acslaboratory.github.io
Standards-Version: 3.9.2

Package: ros-indigo-pheeno-ros-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-gazebo-msgs, ros-indigo-gazebo-plugins, ros-indigo-gazebo-ros, ros-indigo-gazebo-ros-control, ros-indigo-geometry-msgs, ros-indigo-image-transport, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rviz, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-urdf, ros-indigo-xacro
Description: Gazebo simulation ROS package for Pheeno system!
